Bug 1293867 - [abrt] kf5-kio-core: kioexec killed by SIGSEGV
[abrt] kf5-kio-core: kioexec killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kio (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0b70d6a6c278ef3a04eaf958778...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 05:16 EST by Alvin
Modified: 2016-12-20 12:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:20:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.86 KB, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: core_backtrace (4.96 KB, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: dso_list (19.50 KB, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: environ (1.69 KB, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: maps (91.87 KB, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: open_fds (1.48 KB, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details
File: var_log_messages (305 bytes, text/plain)
2015-12-23 05:16 EST, Alvin
no flags Details

  None (edit)
Description Alvin 2015-12-23 05:16:24 EST
Description of problem:
Open ods file in LibreOffice from SFTP server using Dolphin with SFTP kioslave.
Edit file
Close LibreOffice and choose to upload the changed file.
File wil be uploaded and crash occurs.

Version-Release number of selected component:
kf5-kio-core-5.17.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/kf5/kioexec 'libreoffice --calc %U' sftp://alvin@shai-hulud.local.alvin.be:22/mnt/tank/finances/company/Facturen/Ontvangen/products.ods
executable:     /usr/libexec/kf5/kioexec
global_pid:     7825
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 QMetaObject::invokeMethod at kernel/qmetaobject.cpp:1464
 #3 KDialogJobUiDelegate::Private::next at ../../src/kdialogjobuidelegate.cpp:82
 #4 QObject::event at kernel/qobject.cpp:1239
 #5 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #6 QApplication::notify at kernel/qapplication.cpp:3499
 #7 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #8 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224
 #9 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1593
 #10 QCoreApplication::sendPostedEvents at kernel/qcoreapplication.cpp:1451
Comment 1 Alvin 2015-12-23 05:16:30 EST
Created attachment 1108918 [details]
File: backtrace
Comment 2 Alvin 2015-12-23 05:16:32 EST
Created attachment 1108919 [details]
File: cgroup
Comment 3 Alvin 2015-12-23 05:16:33 EST
Created attachment 1108920 [details]
File: core_backtrace
Comment 4 Alvin 2015-12-23 05:16:35 EST
Created attachment 1108921 [details]
File: dso_list
Comment 5 Alvin 2015-12-23 05:16:36 EST
Created attachment 1108922 [details]
File: environ
Comment 6 Alvin 2015-12-23 05:16:37 EST
Created attachment 1108923 [details]
File: exploitable
Comment 7 Alvin 2015-12-23 05:16:39 EST
Created attachment 1108924 [details]
File: limits
Comment 8 Alvin 2015-12-23 05:16:40 EST
Created attachment 1108925 [details]
File: maps
Comment 9 Alvin 2015-12-23 05:16:42 EST
Created attachment 1108926 [details]
File: mountinfo
Comment 10 Alvin 2015-12-23 05:16:43 EST
Created attachment 1108927 [details]
File: namespaces
Comment 11 Alvin 2015-12-23 05:16:44 EST
Created attachment 1108928 [details]
File: open_fds
Comment 12 Alvin 2015-12-23 05:16:46 EST
Created attachment 1108929 [details]
File: proc_pid_status
Comment 13 Alvin 2015-12-23 05:16:47 EST
Created attachment 1108930 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:28:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:20:37 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.